Package twisted :: Package python :: Module formmethod :: Class Text

[show private | hide private]
[frames | no frames]

## Class Text

    Argument --+
               |
          String --+
                   |
                  Text

A long string.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints)` (inherited from `Argument`)
| `addHints(self, **kwargs)` (inherited from `Argument`)
| ``coerce`(self, val)` Convert the value to the correct format. (inherited from `String`)
| `getHint(self, name, default)` (inherited from `Argument`)
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net